# Class NoSessionStateError

### Hierarchy

- Error
  - NoSessionStateError

### Constructors

- constructor

### Properties

- logUrl
- message
- name
- serverResponseStatus
- sessionStateUrl
- stack
- Error

## Constructors

### constructor

- new NoSessionStateError(serverResponseStatus: number, sessionStateUrl: string, logUrl: string): NoSessionStateError

- - Defined in src/types/errors/NoSessionStateError.ts:1

  #### Parameters

  - ##### serverResponseStatus: number

  - ##### sessionStateUrl: string

  - ##### logUrl: string

  #### Returns NoSessionStateError

## Properties

### logUrl

logUrl: string

- Defined in src/types/errors/NoSessionStateError.ts:5

### message

message: string

Inherited from ComputeJobExecutionError.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:974

### name

name: string

Inherited from AuthorizeError.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:973

### serverResponseStatus

serverResponseStatus: number

- Defined in src/types/errors/NoSessionStateError.ts:3

### sessionStateUrl

sessionStateUrl: string

- Defined in src/types/errors/NoSessionStateError.ts:4

### Optional stack

stack: undefined | string

Inherited from AuthorizeError.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:975

### Static Error

Error: ErrorConstructor

- Defined in node_modules/typescript/lib/lib.es5.d.ts:984

Generated using TypeDoc